Bug 855703 - job logs should be stored on the lab controller, even if no archive server is configured (remove CACHE setting, remove support for sending logs to server)
Summary: job logs should be stored on the lab controller, even if no archive server is...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Dan Callaghan
QA Contact: Amit Saha
URL:
Whiteboard: LogStorage
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-10 04:26 UTC by Raymond Mancy
Modified: 2014-12-08 01:13 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:29 UTC


Attachments (Terms of Use)

Description Raymond Mancy 2012-09-10 04:26:29 UTC
In labcontroller.conf we specify the following;

  # Set CACHE = True only if you define ARCHIVE_* variables correctly!

I was wondering if there's any reason why we have to tie storing
logs on the lab controller (as opposoed to the server) to the running of beaker transfer?

In the most general sense, is storing the files on the lab controller not a legitimate scenario ?

Comment 1 Dan Callaghan 2012-09-10 06:59:58 UTC
(In reply to comment #0)
> In the most general sense, is storing the files on the lab controller not a
> legitimate scenario ?

This makes sense to me. If we removed support for sending logs to the Beaker server (meaning, you either leave them permanently on the lab controller, or enable beaker-transfer to ship them elsewhere) that would eliminate some code paths and help simplify the log uploading code.

Comment 2 Bill Peck 2012-09-10 14:40:49 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > In the most general sense, is storing the files on the lab controller not a
> > legitimate scenario ?
> 
> This makes sense to me. If we removed support for sending logs to the Beaker
> server (meaning, you either leave them permanently on the lab controller, or
> enable beaker-transfer to ship them elsewhere) that would eliminate some
> code paths and help simplify the log uploading code.

Agree, and for most users who run the scheduler and lab controller on the same machine it still wouldn't change anything either, just makes the code simpler as you mention.

Comment 3 Nick Coghlan 2012-10-17 04:40:13 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 4 Dan Callaghan 2013-02-25 05:49:03 UTC
I wrote a patch for this while working on the harness API:

http://gerrit.beaker-project.org/1701

Comment 8 Dan Callaghan 2013-04-11 04:57:29 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.